Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#23442 - netpbm missing packages from makedepends

Attached to Project: Arch Linux
Opened by Phillip Smith (fukawi2) - Saturday, 26 March 2011, 01:27 GMT
Last edited by Andrea Scarpino (BaSh) - Saturday, 26 March 2011, 01:52 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Very Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
The PKGBUILD for netpbm is missing the following makedepends:
patch
flex

Additional info:
* package version => 10.47.24

Steps to reproduce:
Run makepkg without 'flex' and/or 'patch' installed.
This task depends upon

Closed by  Andrea Scarpino (BaSh)
Saturday, 26 March 2011, 01:52 GMT
Reason for closing:  Not a bug
Additional comments about closing:  base-devel is needed to build a package
Comment by Greg (dolby) - Saturday, 26 March 2011, 01:43 GMT
Those are both part of base-devel. I guess thats why. Although personally i am very much in favour of including every dependency and makedependency, maybe besides glibc, not including packages from base and base-devel is very frequent, id say its the norm.
Comment by Phillip Smith (fukawi2) - Saturday, 26 March 2011, 01:46 GMT
Ahh, yes you are correct. I forgot which box I was working on (one without base-devel!)... I'm also in favour of including all depends and makedepends, but I see the argument for excluding packages in base-devel so I'm happy if someone wants to close this without adding to the PKGBUILD.

Loading...